@font-face {
    font-family: Abadi Condensed;
    src: url('../font/AbadiMTCondensed.ttf');
}

$blue: #0067b1;
$lightblue: #70cde3;
$darkBlue: #005aac;

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box !important;
    font-family: "Abadi Condensed";
}

button {
    display: flex;
    border: none;
    cursor: pointer;
    font-size: 0.96rem;
}

input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    -moz-appearance: textfield;
}

p {
    cursor: default;
}

#urus-eform {
    height: 100vh;
    color: #222;

    .modal {
        background: rgba($color: #000000, $alpha: .1);
        height: 100%;
        width: 100vw;
        display: flex;
        justify-content: center;
        align-items: center;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 99;
    }

    .date-picker-wrapper {
        background-color: white;
        border-radius: 16px;
        padding: 20px;
        display: flex;
        flex-direction: column;

        .date-picker {
            border: none;
            @media (min-width: 370px) {
                .vc-weekday {
                    padding: 16px 0px 20px 0px;
                }

                .vc-day {
                    padding: 4px;

                    .vc-day-content,
                    .vc-highlight {
                        font-size: 16px;
                        min-height: 36px;
                        min-width: 36px;
                    }
                }
            }
        }

        .button-row {
            margin-right: 12px;
            display: flex;
            justify-content: flex-end;

            button {
                padding: 6px 16px;
                margin-left: 12px;
                border-radius: 4px;

                &:first-child {
                    background: #dadada;
                    color: black;
                }

                &:last-child {
                    background: $blue;
                    color: white;
                }
            }
        }
    }

    .test-row {
        display: flex;
        align-items: center;
        column-gap: 8px;
    }

    .hidden {
        display: none;
    }

    .row {
        display: flex;
    }

    .page-wrapper {
        padding: 1rem 24px 2rem 24px;
        display: flex;
        // align-items: center;
        justify-content: center;

        @media (max-width: 510px) {
            padding: 1rem 12px 2rem 12px;
        }

        @media (max-width: 460px) {
            padding: 1rem 12px 2rem 12px;
        }

        @media (max-width: 404px) {
            padding: 0px 0px 0px 0px;
        }
    }

    .container {
        min-height: 60vh;
        width: 60vw;
        position: relative;
        border: 1px solid $blue;

        .form-heading {
            padding: 6px 12px;
            background-color: $blue;

            h1 {
                color: white;
                font-weight: 400;
            }
        }

        .loading-screen {
            display: flex;
            flex-direction: column;
            align-items: center;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -40%);

            span {
                text-align: center;
                line-height: 20px;
                width: 60%;
            }

            .spinner {
                width: 2rem;
                margin-bottom: 24px;
                animation: rotate 1.4s linear infinite;

                @keyframes rotate {
                    0% {
                        transform: rotate(0deg)
                    }

                    100% {
                        transform: rotate(360deg)
                    }
                }
            }
        }

        .form-body {
            height: 100%;
            padding: 24px 10%;
            display: flex;
            flex-direction: column;
            row-gap: 24px;

            .form-sections {
                display: grid;
                justify-items: center;
                grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
                column-gap: 8px;
            }
        }

        // .container
        @media (max-width: 1200px) {
            width: 80vw;
        }

        @media (max-width: 760px) {
            width: 90vw;
        }

        @media (max-width: 620px) {
            width: 95vw;
        }

        @media (max-width: 712px) {
            .form-body {
                padding: 24px 5%;
            }
        }

        @media (max-width: 510px) {
            width: 100vw;
        }

        // ultrawide
        @media (min-aspect-ratio: 2/1) {
            width: 70rem;
        }

        .form-body {
            .form-sections {
                position: relative;
                margin-bottom: 16px;

                hr {
                    border: none;
                    height: 1px;
                    background-color: #0067b133;
                    top: 25px;
                    width: 80%;
                    position: absolute;
                    z-index: 1;
                }

                .section-wrapper {
                    width: 100%;
                    max-width: 95px;
                    display: grid;
                    grid-template-rows: auto 1fr;
                    justify-items: center;
                    align-items: flex-start;
                    row-gap: 12px;
                    z-index: 2;

                    &.active .section-num-wrapper {
                        .section-num {
                            height: 50px;
                            width: 50px;
                            border: 1px solid $blue;
                            background-color: $lightblue;
                            color: $blue;
                            font-weight: 600;
                        }
                    }
                }

                .section-num-wrapper {
                    display: flex;
                    align-items: center;
                    height: 50px;

                    .section-num {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        border-radius: 50%;
                        // not active
                        height: 40px;
                        width: 40px;
                        border: 1px solid #aaa;
                        background-color: #aaa;
                        color: white;
                    }
                }

                .section-name-wrapper {
                    display: flex;
                    justify-content: center;
                    width: 100%;
                }

                p {
                    width: min-content;
                    min-width: 95px;
                    min-height: 36.8px;
                    color: $blue;
                    text-align: center;
                }


                @media (max-width: 1200px) {
                    .section-wrapper {
                        // max-width: 85px;
                    }
                }

                @media (max-width: 844px) {
                    p {
                        min-width: 68px;
                        text-align: left;
                    }
                }

                @media (max-width: 504px) {
                    p {
                        min-width: unset;
                    }
                }

                @media (max-width: 460px) {
                    p {
                        opacity: 0;
                        display: none;
                    }

                    .section-wrapper.active p {
                        opacity: 1;
                        display: block;
                    }

                }

                @media (max-width: 404px) {}
            }
        }

        .section {
            display: grid;
            row-gap: 16px;
        }

        .form-row {
            justify-content: left;
            display: grid;
            column-gap: 24px;
            grid-template-columns: 40% 40%;

            select {
                width: 100%;
            }

            input::-webkit-calendar-picker-indicator {
                display: none;
            }

            .hybrid-input {
                // display: flex;
                align-items: center;
                column-gap: 10px;
                row-gap: 10px;

                select.short-select,
                input[type=number] {
                    width: 50%;
                }

                div {
                    display: inline;
                    position: relative;
                }

                label {
                    margin-left: 4px;
                    padding: 8px 12px;
                    color: white;
                    background-color: $blue;
                }

                input[type=file] {
                    width: 0px;
                    opacity: 0;
                    pointer-events: none;
                    z-index: -1;
                    left: 50%;
                    position: absolute;
                    // height: 25px !important;
                }

                @media (max-width: 620px) {
                    div {
                        display: block;
                    }

                    select.short-select,
                    input[type=number] {
                        width: 100%;
                    }

                    label {
                        margin-top: 8px;
                        margin-left: 0px;
                        display: block;
                        width: auto;
                    }

                    input[type=file] {
                        top: 0px;
                    }
                }

                select {
                    width: 100%;
                }

                p {
                    margin-top: 8px;
                }
            }



            @media (max-width: 1200px) {
                grid-template-columns: 1fr 1fr;
            }
        }

        .form-important {
            margin: 12px 0px 28px 0px;
            font-weight: 600;
        }


        .button-row {
            position: relative;
            bottom: 0px;
            align-self: flex-end;
            display: flex;
            column-gap: 16px;

            button {
                padding: 6px 36px;
                border-radius: 4px;

                &#prev-btn {
                    border: 1px solid #aaa;
                }

                &#next-btn {
                    border: 1px solid $blue;
                    background-color: $blue;
                    color: white;
                }

                &.disabled {
                    // border: 1px solid #cacaca !important;
                    // background-color: #dadada !important;
                    // color: #666 !important;
                    // cursor: not-allowed;
                }
            }


        }

        input,
        select,
        option,
        textarea {
            padding: 0px 4px;
            height: 35px;
            background: white;
            border: 1px solid #bababa;
            font-size: 0.96rem;

            &[type=file] {
                border: unset;
            }

            &[type=checkbox] {
                height: 16px;

                &::before {
                    outline: 2px solid black;
                }
            }
        }
    }
}

#urus-eform {
    .loan-details-wrapper {
        display: grid;
        row-gap: 12px;

        .button-row {
            display: flex;
            justify-content: center;

            button {
                margin: 4px 0px 24px 0px;
                padding: 8px 16px !important;
                width: max-content;
                background: #ddd;
                justify-self: center;
                align-items: center;
                justify-content: center;
                column-gap: 8px;
                border-radius: 4px;

                svg {
                    height: 15px;
                }
            }
        }
    }

    .loan-details {
        &-title {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            column-gap: 16px;

        }

        &-row {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            column-gap: 16px;

            select,
            input {
                width: 100%;
            }
        }
    }

    .section-title {
        font-weight: 600;
        font-size: 1.1rem;
    }

    .checkbox-row {
        padding: 16px 0px;
        display: flex;
        align-items: center;
        column-gap: 8px;
        cursor: pointer;

        p {
            font-weight: 600;
            // font-size: 1.05rem;
        }

        .highlighted {
            color: $darkBlue;
        }
    }

    ul {
        padding: 0px 48px;
        display: grid;
        row-gap: 12px;

        @media (max-width: 712px) {
            padding: 0px 16px;
        }
    }

    .verification {
        width: 50%;
        margin: 40px auto;
        display: grid;
        row-gap: 8px;

        @media (max-width: 712px) {
            width: 90%;
        }

        .row {
            margin: 0px auto;
            width: min-content;
            align-items: center;
            margin-bottom: 12px;

            button {
                padding: 6px 12px;
                background: none;

                svg {
                    height: 15px;
                }
            }
        }

        .captcha {
            height: 30px;
            width: 200px;
            position: relative;
            pointer-events: none;
            user-select: none;

            &-background {
                height: 100%;
                background-image: url("https://www.rhbgroup.com/themes/img/captchabg.jpg");
            }

            &-text {
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                position: absolute;
                font-weight: 600;
            }
        }
    }

    .success-section {
        h1 {
            margin-bottom: 16px;
        }

        p {
            line-height: 20px;
        }
    }
}